﻿@model RecuperaPasswordViewModel

@{
    ViewData["Title"] = "Recuperar contraseña";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card">
    <div class="card-body">
        <h3 class="card-title text-center">Recuperar contraseña</h3>
        <form asp-controller="Cuentas" asp-action="ResetPassword" method="POST">
            <div class="text-danger" asp-validation-summary="All"></div>

            <!-- Codigo token que viene del email de recuperacion -->
            <input type="hidden" asp-for="Code" />

            <div class="row mt-4">
                <div class="col-sm-6 offset-3">

                    <div class="mb-3">
                        <label asp-for="Email" class="col-md-3"></label>
                        <input asp-for="Email" class="form-control" placeholder="Ingresa tu Email" />
                        <span asp-validation-for="Email" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Password" class="col-md-3"></label>
                        <input asp-for="Password" class="form-control" placeholder="Ingresa tu contraseña" />
                        <span asp-validation-for="Password" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="ConfirmPassword" class="col-md-3"></label>
                        <input asp-for="ConfirmPassword" class="form-control" placeholder="Ingresa tu contraseña" />
                        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-sm-10 offset-2">
                    <button type="submit" class="btn btn-success w-75 btn-lg">Recuperar contraseña <i class="bi bi-arrow-right-circle-fill"></i></button>
                </div>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}